<?php declare(strict_types=1);

namespace Lewisdale\Webmentions\Router;

enum StatusCode
{
    case NotFound;
    case Ok;
    case Redirect;
    case InternalError;
    case BadRequest;
    case Created;
    case Forbidden;
    case Unauthorized;

    public function code(): int
    {
        return match ($this) {
            StatusCode::NotFound => 404,
            StatusCode::Ok => 200,
            StatusCode::InternalError => 500,
            StatusCode::Redirect => 301,
            StatusCode::BadRequest => 400,
            StatusCode::Unauthorized => 401,
            StatusCode::Forbidden => 403,
            StatusCode::Created => 201,
        };
    }
}

?>